BLK_QUEUE_FLUSH(9)

NAME
blk_queue_flush - configure queue's cache flush capability

SYNOPSIS

void blk_queue_flush(struct request_queue * q, unsigned int flush);

ARGUMENTS

q
    the request queue for the device

flush
    0, REQ_FLUSH or REQ_FLUSH | REQ_FUA

DESCRIPTION

Tell block layer cache flush capability of q. If it supports flushing, REQ_FLUSH should be set. If it supports bypassing write cache for individual writes, REQ_FUA should be set.

COPYRIGHT